<?php
/**
 * Copy Right IJH.CC
 * Each engineer has a duty to keep the code elegant
 * $Id$
 */

if(!defined('__CORE_DIR')){
    exit("Access Denied");
}

class Mdl_Xiche_Product extends Mdl_Table
{   
  
    protected $_table = 'xiche_goods_product';
    protected $_pk = 'product_id';
    protected $_cols = 'product_id,goods_id,title,price,orderby,dateline';
    protected $_orderby = array('orderby'=>'ASC');

    public function items_by_goods($goods_id)
    {
        return $this->items(array('goods_id'=>$goods_id), null, 1, 50);
    }

}